﻿/**Begin D:\PDM_UPGRADE\PDM1\LC_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_LC_LETTERCREDIT', 'T_LC_LETTERCREDIT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_LETTERCREDIT') CREATE  CLUSTERED INDEX IDX_LC_LETTERCREDIT ON T_LC_LETTERCREDIT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_LC_LETTERCREDIT_E', 'T_LC_LETTERCREDIT_E', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_LETTERCREDIT_E') CREATE  CLUSTERED INDEX IDX_LC_LETTERCREDIT_E ON T_LC_LETTERCREDIT_E ( FORGID );


 EXEC P_ALTERPK 'PK_T_LC_LETTERCREDIT_ENTRY', 'T_LC_LETTERCREDIT_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_LETTERCREDIT_ENTRY') CREATE  CLUSTERED INDEX IDX_LC_LETTERCREDIT_ENTRY ON T_LC_LETTERCREDIT_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_LC_LETTERCREDIT_ENTRY_L', 'T_LC_LETTERCREDIT_ENTRY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_LETTERCREDIT_ENTRY_L') CREATE  CLUSTERED INDEX IDX_LC_LETTERCREDIT_ENTRY_L ON T_LC_LETTERCREDIT_ENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_LETTERCREDIT_L', 'T_LC_LETTERCREDIT_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_LETTERCREDIT_L') CREATE  CLUSTERED INDEX IDX_LC_LETTERCREDIT_L ON T_LC_LETTERCREDIT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_LETTERCREDIT_H', 'T_LC_LETTERCREDIT_H', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_LETTERCREDIT_H') CREATE  CLUSTERED INDEX IDX_LC_LETTERCREDIT_H ON T_LC_LETTERCREDIT_H ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_LC_LETTERCREDIT_H_E', 'T_LC_LETTERCREDIT_H_E', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_LETTERCREDIT_H_E') CREATE  CLUSTERED INDEX IDX_LC_LETTERCREDIT_H_E ON T_LC_LETTERCREDIT_H_E ( FORGID );


 EXEC P_ALTERPK 'PK_T_LC_LETTERCREDIT_H_ENTRY', 'T_LC_LETTERCREDIT_H_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_LETTERCREDIT_H_ENTRY') CREATE  CLUSTERED INDEX IDX_LC_LETTERCREDIT_H_ENTRY ON T_LC_LETTERCREDIT_H_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_LC_LETTERCREDIT_H_ENTRY_L', 'T_LC_LETTERCREDIT_H_ENTRY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_LETTERCREDIT_H_ENTRY_L') CREATE  CLUSTERED INDEX IDX_LC_LETTERCREDIT_H_ENTRY_L ON T_LC_LETTERCREDIT_H_ENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_LETTERCREDIT_H_L', 'T_LC_LETTERCREDIT_H_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_LETTERCREDIT_H_L') CREATE  CLUSTERED INDEX IDX_LC_LETTERCREDIT_H_L ON T_LC_LETTERCREDIT_H_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_BILLTYPE', 'T_LC_BILLTYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_BILLTYPE') CREATE  CLUSTERED INDEX IDX_LC_BILLTYPE ON T_LC_BILLTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_LC_BILLTYPE_L', 'T_LC_BILLTYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_BILLTYPE_L') CREATE  CLUSTERED INDEX IDX_LC_BILLTYPE_L ON T_LC_BILLTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_BIZAPPLY', 'T_LC_BIZAPPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_BIZAPPLY') CREATE INDEX IDX_LC_BIZAPPLY ON T_LC_BIZAPPLY ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_LC_BIZAPPLY_E', 'T_LC_BIZAPPLY_E', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_BIZAPPLY_E') CREATE  CLUSTERED INDEX IDX_LC_BIZAPPLY_E ON T_LC_BIZAPPLY_E ( FORGID );


 EXEC P_ALTERPK 'PK_T_LC_BIZAPPLY_ENTRYS', 'T_LC_BIZAPPLY_ENTRYS', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_BIZAPPLY_ENTRYS') CREATE  CLUSTERED INDEX IDX_LC_BIZAPPLY_ENTRYS ON T_LC_BIZAPPLY_ENTRYS ( FID );


 EXEC P_ALTERPK 'PK_T_LC_BIZAPPLY_ENTRYS_L', 'T_LC_BIZAPPLY_ENTRYS_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_BIZAPPLY_ENTRYS_L') CREATE  CLUSTERED INDEX IDX_LC_BIZAPPLY_ENTRYS_L ON T_LC_BIZAPPLY_ENTRYS_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_BIZAPPLY_L', 'T_LC_BIZAPPLY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_BIZAPPLY_L') CREATE  CLUSTERED INDEX IDX_LC_BIZAPPLY_L ON T_LC_BIZAPPLY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_RECEIPT', 'T_LC_RECEIPT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_RECEIPT') CREATE  CLUSTERED INDEX IDX_LC_RECEIPT ON T_LC_RECEIPT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_LC_RECEIPT_E', 'T_LC_RECEIPT_E', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_RECEIPT_E') CREATE  CLUSTERED INDEX IDX_LC_RECEIPT_E ON T_LC_RECEIPT_E ( FORGID );


 EXEC P_ALTERPK 'PK_T_LC_RECEIPT_ENTRY', 'T_LC_RECEIPT_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_RECEIPT_ENTRY') CREATE  CLUSTERED INDEX IDX_LC_RECEIPT_ENTRY ON T_LC_RECEIPT_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_LC_RECEIPT_ENTRY_L', 'T_LC_RECEIPT_ENTRY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_RECEIPT_ENTRY_L') CREATE  CLUSTERED INDEX IDX_LC_RECEIPT_ENTRY_L ON T_LC_RECEIPT_ENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_RECEIPT_L', 'T_LC_RECEIPT_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_RECEIPT_L') CREATE  CLUSTERED INDEX IDX_LC_RECEIPT_L ON T_LC_RECEIPT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_RECEIPT_ENTRY_H', 'T_LC_RECEIPT_ENTRY_H', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_RECEIPT_ENTRY_H') CREATE  CLUSTERED INDEX IDX_LC_RECEIPT_ENTRY_H ON T_LC_RECEIPT_ENTRY_H ( FID );


 EXEC P_ALTERPK 'PK_T_LC_RECEIPT_ENTRY_H_L', 'T_LC_RECEIPT_ENTRY_H_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_RECEIPT_ENTRY_H_L') CREATE  CLUSTERED INDEX IDX_LC_RECEIPT_ENTRY_H_L ON T_LC_RECEIPT_ENTRY_H_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_RECEIPT_H', 'T_LC_RECEIPT_H', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_RECEIPT_H') CREATE  CLUSTERED INDEX IDX_LC_RECEIPT_H ON T_LC_RECEIPT_H ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_LC_RECEIPT_H_E', 'T_LC_RECEIPT_H_E', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_RECEIPT_H_E') CREATE  CLUSTERED INDEX IDX_LC_RECEIPT_H_E ON T_LC_RECEIPT_H_E ( FORGID );


 EXEC P_ALTERPK 'PK_T_LC_RECEIPT_H_L', 'T_LC_RECEIPT_H_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_RECEIPT_H_L') CREATE  CLUSTERED INDEX IDX_LC_RECEIPT_H_L ON T_LC_RECEIPT_H_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_ARRIVAL_E', 'T_LC_ARRIVAL_E', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_ARRIVAL_E') CREATE INDEX IDX_LC_ARRIVAL_E ON T_LC_ARRIVAL_E ( FARRIVALNO );


 EXEC P_ALTERPK 'PK_T_LC_ARRIVAL_ENTRY', 'T_LC_ARRIVAL_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_ARRIVAL_ENTRY') CREATE  CLUSTERED INDEX IDX_LC_ARRIVAL_ENTRY ON T_LC_ARRIVAL_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_LC_ARRIVAL_ENTRY_H', 'T_LC_ARRIVAL_ENTRY_H', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ARRIVAL_ENTRY_H') CREATE  CLUSTERED INDEX IDX_ARRIVAL_ENTRY_H ON T_LC_ARRIVAL_ENTRY_H ( FID );


 EXEC P_ALTERPK 'PK_T_LC_ARRIVAL_ENTRY_H_L', 'T_LC_ARRIVAL_ENTRY_H_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ARRIVAL_ENTRY_H_L') CREATE  CLUSTERED INDEX IDX_ARRIVAL_ENTRY_H_L ON T_LC_ARRIVAL_ENTRY_H_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_ARRIVAL_ENTRY_L', 'T_LC_ARRIVAL_ENTRY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ARRIVAL_ENTRY_L') CREATE  CLUSTERED INDEX IDX_ARRIVAL_ENTRY_L ON T_LC_ARRIVAL_ENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_ARRIVAL_H_E', 'T_LC_ARRIVAL_H_E', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ARRIVAL_H_E') CREATE  CLUSTERED INDEX IDX_ARRIVAL_H_E ON T_LC_ARRIVAL_H_E ( FARRIVALNO );


 EXEC P_ALTERPK 'PK_T_LC_ARRIVAL_H_L', 'T_LC_ARRIVAL_H_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ARRIVAL_H_L') CREATE  CLUSTERED INDEX IDX_ARRIVAL_H_L ON T_LC_ARRIVAL_H_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_ARRIVAL_L', 'T_LC_ARRIVAL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_ARRIVAL_L') CREATE  CLUSTERED INDEX IDX_LC_ARRIVAL_L ON T_LC_ARRIVAL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_ARRIVAL', 'T_LC_ARRIVAL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_ARRIVAL') CREATE  CLUSTERED INDEX IDX_LC_ARRIVAL ON T_LC_ARRIVAL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_LC_ARRIVAL_H', 'T_LC_ARRIVAL_H', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ARRIVAL_H') CREATE  CLUSTERED INDEX IDX_ARRIVAL_H ON T_LC_ARRIVAL_H ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_LC_PRESENT_E', 'T_LC_PRESENT_E', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_PRESENT_E') CREATE  CLUSTERED INDEX IDX_LC_PRESENT_E ON T_LC_PRESENT_E ( FARRIVALNO );


 EXEC P_ALTERPK 'PK_T_LC_PRESENT_ENTRY', 'T_LC_PRESENT_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_PRESENT_ENTRY') CREATE  CLUSTERED INDEX IDX_LC_PRESENT_ENTRY ON T_LC_PRESENT_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_LC_PRESENT_ENTRY_H', 'T_LC_PRESENT_ENTRY_H', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_PRESENT_ENTRY_H') CREATE  CLUSTERED INDEX IDX_LC_PRESENT_ENTRY_H ON T_LC_PRESENT_ENTRY_H ( FID );


 EXEC P_ALTERPK 'PK_T_LC_PRESENT_ENTRY_H_L', 'T_LC_PRESENT_ENTRY_H_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_PRESENT_ENTRY_H_L') CREATE  CLUSTERED INDEX IDX_LC_PRESENT_ENTRY_H_L ON T_LC_PRESENT_ENTRY_H_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_PRESENT_ENTRY_L', 'T_LC_PRESENT_ENTRY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_PRESENT_ENTRY_L') CREATE  CLUSTERED INDEX IDX_LC_PRESENT_ENTRY_L ON T_LC_PRESENT_ENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_PRESENT_H_E', 'T_LC_PRESENT_H_E', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_PRESENT_H_E') CREATE  CLUSTERED INDEX IDX_LC_PRESENT_H_E ON T_LC_PRESENT_H_E ( FARRIVALNO );


 EXEC P_ALTERPK 'PK_T_LC_PRESENT_H_L', 'T_LC_PRESENT_H_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_PRESENT_H_L') CREATE  CLUSTERED INDEX IDX_LC_PRESENT_H_L ON T_LC_PRESENT_H_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_PRESENT_L', 'T_LC_PRESENT_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_PRESENT_L') CREATE  CLUSTERED INDEX IDX_LC_PRESENT_L ON T_LC_PRESENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LC_PRESENT', 'T_LC_PRESENT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_PRESENT') CREATE  CLUSTERED INDEX IDX_LC_PRESENT ON T_LC_PRESENT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_LC_PRESENT_H', 'T_LC_PRESENT_H', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_PRESENT_H') CREATE  CLUSTERED INDEX IDX_LC_PRESENT_H ON T_LC_PRESENT_H ( FBILLNO );



/**End D:\PDM_UPGRADE\PDM1\LC_constraint.sql **/
