﻿/**Begin D:\PDM_UPGRADE\PDM1\LC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT') 
 CREATE TABLE T_LC_LETTERCREDIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FAPPLYDATE DATETIME,
FBIZCONTACTORID BIGINT DEFAULT 0 NOT NULL,
FBIZCONTACTINFO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATASOURCES NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUPPERSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOWSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNTSCALEUPPER DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNTSCALELOW DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISCANCEL CHAR(1) DEFAULT ' ' NOT NULL,
FISMAKEOVER CHAR(1) DEFAULT ' ' NOT NULL,
FISNATIONALCARD CHAR(1) DEFAULT ' ' NOT NULL,
FISFORWARD CHAR(1) DEFAULT ' ' NOT NULL,
FFORWARDDAYS BIGINT DEFAULT 0 NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FCREDITNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITAPPLYNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT_E') 
 CREATE TABLE T_LC_LETTERCREDIT_E (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAPPLYCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBENEFITCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBANKCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FDEALBILLTERMSTART DATETIME,
FDEALBILLTERMEND DATETIME,
FLASTDATE DATETIME,
FCARGOCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FISBATCH CHAR(1) DEFAULT ' ' NOT NULL,
FISTRANSFER CHAR(1) DEFAULT ' ' NOT NULL,
FNEGOTIATINGBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNOTICEBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREIMBURSINGBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFIRMINGBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBENEFITERID BIGINT DEFAULT 0 NOT NULL,
FBENEFITERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBENEFITEROTHER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPUSHCOUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT_ENTRY') 
 CREATE TABLE T_LC_LETTERCREDIT_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACTNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMODELNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERQTY BIGINT DEFAULT 0 NOT NULL,
FCOUNTSCALELOW DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOUNTSCALEUPPER DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT_ENTRY_L') 
 CREATE TABLE T_LC_LETTERCREDIT_ENTRY_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTRACTREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT_L') 
 CREATE TABLE T_LC_LETTERCREDIT_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAPPLYREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPLYADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBENEFITADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBANKADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCARGODESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRANSPORTWAY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESTINATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNLOADPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT_H') 
 CREATE TABLE T_LC_LETTERCREDIT_H (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FAPPLYDATE DATETIME,
FBIZCONTACTORID BIGINT DEFAULT 0 NOT NULL,
FBIZCONTACTINFO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATASOURCES NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUPPERSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOWSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNTSCALEUPPER DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNTSCALELOW DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISCANCEL CHAR(1) DEFAULT ' ' NOT NULL,
FISMAKEOVER CHAR(1) DEFAULT ' ' NOT NULL,
FISNATIONALCARD CHAR(1) DEFAULT ' ' NOT NULL,
FISFORWARD CHAR(1) DEFAULT ' ' NOT NULL,
FFORWARDDAYS BIGINT DEFAULT 0 NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FCREDITNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITAPPLYNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FLETTERCREDITID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT_H_E') 
 CREATE TABLE T_LC_LETTERCREDIT_H_E (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAPPLYCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBENEFITCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBANKCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FDEALBILLTERMSTART DATETIME,
FDEALBILLTERMEND DATETIME,
FLASTDATE DATETIME,
FCARGOCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FISBATCH CHAR(1) DEFAULT ' ' NOT NULL,
FISTRANSFER CHAR(1) DEFAULT ' ' NOT NULL,
FNEGOTIATINGBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNOTICEBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREIMBURSINGBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFIRMINGBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYID BIGINT DEFAULT 0 NOT NULL,
FBENEFITERID BIGINT DEFAULT 0 NOT NULL,
FBENEFITERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBENEFITEROTHER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPUSHCOUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT_H_ENTRY') 
 CREATE TABLE T_LC_LETTERCREDIT_H_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACTNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMODELNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERQTY BIGINT DEFAULT 0 NOT NULL,
FCOUNTSCALELOW DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOUNTSCALEUPPER DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT_H_ENTRY_L') 
 CREATE TABLE T_LC_LETTERCREDIT_H_ENTRY_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTRACTREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT_H_L') 
 CREATE TABLE T_LC_LETTERCREDIT_H_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAPPLYREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPLYADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBENEFITADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBANKADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCARGODESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRANSPORTWAY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESTINATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNLOADPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_BILLTYPE') 
 CREATE TABLE T_LC_BILLTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FENABLEDATE DATETIME,
FSETTLEMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FISDOC CHAR(1) DEFAULT ' ' NOT NULL,
FCREDITLIMITTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_BILLTYPE_L') 
 CREATE TABLE T_LC_BILLTYPE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_BIZAPPLY') 
 CREATE TABLE T_LC_BIZAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYDATE DATETIME,
FBIZCONTACTORID BIGINT DEFAULT 0 NOT NULL,
FBIZCONTACTINFO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATASOURCES NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUPPERSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOWSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNTSCALEUPPER DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNTSCALELOW DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISCANCEL CHAR(1) DEFAULT ' ' NOT NULL,
FISMAKEOVER CHAR(1) DEFAULT ' ' NOT NULL,
FISNATIONALCARD CHAR(1) DEFAULT ' ' NOT NULL,
FISFORWARD CHAR(1) DEFAULT ' ' NOT NULL,
FFORWARDDAYS BIGINT DEFAULT 0 NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FLETTERCREDITID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_BIZAPPLY_E') 
 CREATE TABLE T_LC_BIZAPPLY_E (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAPPLYCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBENEFITERID BIGINT DEFAULT 0 NOT NULL,
FBENEFITCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FNEGOTIATINGBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNOTICEBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREIMBURSINGBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFIRMINGBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FDEALBILLTERMSTART DATETIME,
FDEALBILLTERMEND DATETIME,
FLASTDATE DATETIME,
FCARGOCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FISBATCH CHAR(1) DEFAULT ' ' NOT NULL,
FISTRANSFER CHAR(1) DEFAULT ' ' NOT NULL,
FISLASTCHANGE CHAR(1) DEFAULT ' ' NOT NULL,
FBENEFITERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBENEFITEROTHER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_BIZAPPLY_ENTRYS') 
 CREATE TABLE T_LC_BIZAPPLY_ENTRYS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACTNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMODELNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERQTY BIGINT DEFAULT 0 NOT NULL,
FCOUNTSCALELOW DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOUNTSCALEUPPER DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_BIZAPPLY_ENTRYS_L') 
 CREATE TABLE T_LC_BIZAPPLY_ENTRYS_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTRACTREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_BIZAPPLY_L') 
 CREATE TABLE T_LC_BIZAPPLY_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAPPLYREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPLYADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBENEFITADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBANKADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCARGODESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRANSPORTWAY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESTINATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNLOADPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_RECEIPT') 
 CREATE TABLE T_LC_RECEIPT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FAPPLYDATE DATETIME,
FBIZCONTACTORID BIGINT DEFAULT 0 NOT NULL,
FBIZCONTACTINFO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDATASOURCES NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUPPERSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOWSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNTSCALEUPPER DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNTSCALELOW DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISCANCEL CHAR(1) DEFAULT ' ' NOT NULL,
FISMAKEOVER CHAR(1) DEFAULT ' ' NOT NULL,
FISNATIONALCARD CHAR(1) DEFAULT ' ' NOT NULL,
FISFORWARD CHAR(1) DEFAULT ' ' NOT NULL,
FFORWARDDAYS BIGINT DEFAULT 0 NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FCREDITNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREDITSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FRECEIPTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_RECEIPT_E') 
 CREATE TABLE T_LC_RECEIPT_E (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAPPLYCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBENEFITCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBANKCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FDEALBILLTERMSTART DATETIME,
FDEALBILLTERMEND DATETIME,
FLASTDATE DATETIME,
FCARGOCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FISBATCH CHAR(1) DEFAULT ' ' NOT NULL,
FISTRANSFER CHAR(1) DEFAULT ' ' NOT NULL,
FNEGOTIATINGBANK NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNOTICEBANK NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREIMBURSINGBANK NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONFIRMINGBANK NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBENEFITERID BIGINT DEFAULT 0 NOT NULL,
FBENEFITERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBENEFITEROTHER NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_RECEIPT_ENTRY') 
 CREATE TABLE T_LC_RECEIPT_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMODELNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORDERNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORDERQTY BIGINT DEFAULT 0 NOT NULL,
FCOUNTSCALELOW DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOUNTSCALEUPPER DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_RECEIPT_ENTRY_L') 
 CREATE TABLE T_LC_RECEIPT_ENTRY_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTRACTREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_RECEIPT_L') 
 CREATE TABLE T_LC_RECEIPT_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAPPLYADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBENEFITADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBANKADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCARGODESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRANSPORTWAY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESTINATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNLOADPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_RECEIPT_ENTRY_H') 
 CREATE TABLE T_LC_RECEIPT_ENTRY_H (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMODELNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORDERNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORDERQTY BIGINT DEFAULT 0 NOT NULL,
FCOUNTSCALELOW DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOUNTSCALEUPPER DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_RECEIPT_ENTRY_H_L') 
 CREATE TABLE T_LC_RECEIPT_ENTRY_H_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTRACTREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_RECEIPT_H') 
 CREATE TABLE T_LC_RECEIPT_H (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FAPPLYDATE DATETIME,
FBIZCONTACTORID BIGINT DEFAULT 0 NOT NULL,
FBIZCONTACTINFO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDATASOURCES NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUPPERSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOWSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNTSCALEUPPER DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNTSCALELOW DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISCANCEL CHAR(1) DEFAULT ' ' NOT NULL,
FISMAKEOVER CHAR(1) DEFAULT ' ' NOT NULL,
FISNATIONALCARD CHAR(1) DEFAULT ' ' NOT NULL,
FISFORWARD CHAR(1) DEFAULT ' ' NOT NULL,
FFORWARDDAYS BIGINT DEFAULT 0 NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FCREDITNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREDITSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIPTDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FLETTERCREDITID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FVERSION NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_RECEIPT_H_E') 
 CREATE TABLE T_LC_RECEIPT_H_E (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAPPLYCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBENEFITCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBANKCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FDEALBILLTERMSTART DATETIME,
FDEALBILLTERMEND DATETIME,
FLASTDATE DATETIME,
FCARGOCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FISBATCH CHAR(1) DEFAULT ' ' NOT NULL,
FISTRANSFER CHAR(1) DEFAULT ' ' NOT NULL,
FNEGOTIATINGBANK NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNOTICEBANK NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREIMBURSINGBANK NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONFIRMINGBANK NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBENEFITERID BIGINT DEFAULT 0 NOT NULL,
FBENEFITERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBENEFITEROTHER NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_RECEIPT_H_L') 
 CREATE TABLE T_LC_RECEIPT_H_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAPPLYADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBENEFITADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBANKADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCARGODESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRANSPORTWAY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESTINATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNLOADPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ARRIVAL_E') 
 CREATE TABLE T_LC_ARRIVAL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FARRIVALNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FARRIVALDATE DATETIME,
FARRIVALLOT BIGINT DEFAULT 0 NOT NULL,
FARRIVALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FARRIVALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISDISCREPANCY CHAR(1) DEFAULT ' ' NOT NULL,
FARRIVALSIGNID BIGINT DEFAULT 0 NOT NULL,
FARRIVALWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDPAYDATE DATETIME,
FENDACCEPTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ARRIVAL_ENTRY') 
 CREATE TABLE T_LC_ARRIVAL_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYID BIGINT DEFAULT 0 NOT NULL,
FPAYNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FARRPAYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FARRPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREALPAYDATE DATETIME,
FISDIFFCUR CHAR(1) DEFAULT ' ' NOT NULL,
FPAYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FOPERATETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRETURNAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ARRIVAL_ENTRY_H') 
 CREATE TABLE T_LC_ARRIVAL_ENTRY_H (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYID BIGINT DEFAULT 0 NOT NULL,
FPAYNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FARRPAYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FARRPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREALPAYDATE DATETIME,
FISDIFFCUR CHAR(1) DEFAULT ' ' NOT NULL,
FPAYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FOPERATETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRETURNAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ARRIVAL_ENTRY_H_L') 
 CREATE TABLE T_LC_ARRIVAL_ENTRY_H_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ARRIVAL_ENTRY_L') 
 CREATE TABLE T_LC_ARRIVAL_ENTRY_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ARRIVAL_H_E') 
 CREATE TABLE T_LC_ARRIVAL_H_E (
FID BIGINT DEFAULT 0 NOT NULL,
FARRIVALNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FARRIVALDATE DATETIME,
FARRIVALLOT BIGINT DEFAULT 0 NOT NULL,
FARRIVALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FARRIVALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISDISCREPANCY CHAR(1) DEFAULT ' ' NOT NULL,
FARRIVALSIGNID BIGINT DEFAULT 0 NOT NULL,
FARRIVALWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDPAYDATE DATETIME,
FENDACCEPTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ARRIVAL_H_L') 
 CREATE TABLE T_LC_ARRIVAL_H_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDISCREPANCY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ARRIVAL_L') 
 CREATE TABLE T_LC_ARRIVAL_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDISCREPANCY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ARRIVAL') 
 CREATE TABLE T_LC_ARRIVAL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRECORDDATE DATETIME,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FARRIVALTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLETTERCREDITID BIGINT DEFAULT 0 NOT NULL,
FFORWARDDAYS BIGINT DEFAULT 0 NOT NULL,
FISFORWARD CHAR(1) DEFAULT ' ' NOT NULL,
FBENEFITERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBENEFITERID BIGINT DEFAULT 0 NOT NULL,
FBENEFITEROTHER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZCONTACTORID BIGINT DEFAULT 0 NOT NULL,
FBIZCONTACTINFO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDONEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTODOAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCKAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FARRIVALSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPAYCONFIG CHAR(1) DEFAULT ' ' NOT NULL,
FPUSHCOUNT BIGINT DEFAULT 0 NOT NULL,
FCOLNEW NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFIGTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ARRIVAL_H') 
 CREATE TABLE T_LC_ARRIVAL_H (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRECORDDATE DATETIME,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FARRIVALTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLETTERCREDITID BIGINT DEFAULT 0 NOT NULL,
FFORWARDDAYS BIGINT DEFAULT 0 NOT NULL,
FISFORWARD CHAR(1) DEFAULT ' ' NOT NULL,
FBENEFITERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBENEFITERID BIGINT DEFAULT 0 NOT NULL,
FBENEFITEROTHER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZCONTACTORID BIGINT DEFAULT 0 NOT NULL,
FBIZCONTACTINFO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDONEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTODOAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCKAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FARRIVALSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPAYCONFIG CHAR(1) DEFAULT ' ' NOT NULL,
FPUSHCOUNT BIGINT DEFAULT 0 NOT NULL,
FCOLNEW NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFIGTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_PRESENT_E') 
 CREATE TABLE T_LC_PRESENT_E (
FID BIGINT DEFAULT 0 NOT NULL,
FARRIVALNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FARRIVALDATE DATETIME,
FARRIVALLOT BIGINT DEFAULT 0 NOT NULL,
FARRIVALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FARRIVALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISDISCREPANCY CHAR(1) DEFAULT ' ' NOT NULL,
FARRIVALSIGNID BIGINT DEFAULT 0 NOT NULL,
FARRIVALWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDPAYDATE DATETIME,
FENDACCEPTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_PRESENT_ENTRY') 
 CREATE TABLE T_LC_PRESENT_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRECEIPTID BIGINT DEFAULT 0 NOT NULL,
FRECEIPTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPRERECEIPTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBUSINESSDATE DATETIME,
FRECEIPTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FRECEIPTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSERVICEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FWRITETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_PRESENT_ENTRY_H') 
 CREATE TABLE T_LC_PRESENT_ENTRY_H (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRECEIPTID BIGINT DEFAULT 0 NOT NULL,
FRECEIPTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPRERECEIPTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBUSINESSDATE DATETIME,
FRECEIPTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FRECEIPTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSERVICEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FWRITETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_PRESENT_ENTRY_H_L') 
 CREATE TABLE T_LC_PRESENT_ENTRY_H_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRECEIPTREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_PRESENT_ENTRY_L') 
 CREATE TABLE T_LC_PRESENT_ENTRY_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRECEIPTREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_PRESENT_H_E') 
 CREATE TABLE T_LC_PRESENT_H_E (
FID BIGINT DEFAULT 0 NOT NULL,
FARRIVALNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FARRIVALDATE DATETIME,
FARRIVALLOT BIGINT DEFAULT 0 NOT NULL,
FARRIVALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FARRIVALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISDISCREPANCY CHAR(1) DEFAULT ' ' NOT NULL,
FARRIVALSIGNID BIGINT DEFAULT 0 NOT NULL,
FARRIVALWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDPAYDATE DATETIME,
FENDACCEPTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_PRESENT_H_L') 
 CREATE TABLE T_LC_PRESENT_H_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDISCREPANCY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_PRESENT_L') 
 CREATE TABLE T_LC_PRESENT_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDISCREPANCY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_PRESENT') 
 CREATE TABLE T_LC_PRESENT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRECORDDATE DATETIME,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FARRIVALTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLETTERCREDITID BIGINT DEFAULT 0 NOT NULL,
FFORWARDDAYS BIGINT DEFAULT 0 NOT NULL,
FISFORWARD CHAR(1) DEFAULT ' ' NOT NULL,
FBENEFITERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBENEFITERID BIGINT DEFAULT 0 NOT NULL,
FBENEFITEROTHER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZCONTACTORID BIGINT DEFAULT 0 NOT NULL,
FBIZCONTACTINFO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDONEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTODOAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCKAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FARRIVALSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPAYCONFIG CHAR(1) DEFAULT ' ' NOT NULL,
FPUSHCOUNT BIGINT DEFAULT 0 NOT NULL,
FCOLNEW NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRESENDBANK NVARCHAR(80) DEFAULT ' ' NOT NULL,
FINVOICENO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONFIGTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_PRESENT_H') 
 CREATE TABLE T_LC_PRESENT_H (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRECORDDATE DATETIME,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FARRIVALTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLETTERCREDITID BIGINT DEFAULT 0 NOT NULL,
FFORWARDDAYS BIGINT DEFAULT 0 NOT NULL,
FISFORWARD CHAR(1) DEFAULT ' ' NOT NULL,
FBENEFITERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBENEFITERID BIGINT DEFAULT 0 NOT NULL,
FBENEFITEROTHER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZCONTACTORID BIGINT DEFAULT 0 NOT NULL,
FBIZCONTACTINFO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDONEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTODOAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCKAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FARRIVALSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPAYCONFIG CHAR(1) DEFAULT ' ' NOT NULL,
FPUSHCOUNT BIGINT DEFAULT 0 NOT NULL,
FCOLNEW NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRESENDBANK NVARCHAR(80) DEFAULT ' ' NOT NULL,
FINVOICENO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONFIGTIME DATETIME
);



/**End D:\PDM_UPGRADE\PDM1\LC_table.sql **/
