﻿/**Begin D:\PDM_UPGRADE\PDM1\LC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_E' AND KSQL_COL_NAME IN ('FBUYERINT')) 
 ALTER TABLE T_LC_ARRIVAL_E ADD (FBUYERINT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_E' AND KSQL_COL_NAME IN ('FINTCURRENCYID')) 
 ALTER TABLE T_LC_ARRIVAL_E ADD (FINTCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_E' AND KSQL_COL_NAME IN ('FBUYERINTAMT')) 
 ALTER TABLE T_LC_ARRIVAL_E ADD (FBUYERINTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_E' AND KSQL_COL_NAME IN ('FBUYERINTID')) 
 ALTER TABLE T_LC_ARRIVAL_E ADD (FBUYERINTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_H_E' AND KSQL_COL_NAME IN ('FBUYERINT')) 
 ALTER TABLE T_LC_ARRIVAL_H_E ADD (FBUYERINT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_H_E' AND KSQL_COL_NAME IN ('FINTCURRENCYID')) 
 ALTER TABLE T_LC_ARRIVAL_H_E ADD (FINTCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_H_E' AND KSQL_COL_NAME IN ('FBUYERINTAMT')) 
 ALTER TABLE T_LC_ARRIVAL_H_E ADD (FBUYERINTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_H_E' AND KSQL_COL_NAME IN ('FBUYERINTID')) 
 ALTER TABLE T_LC_ARRIVAL_H_E ADD (FBUYERINTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_LETTERCREDIT_E' AND KSQL_COL_NAME IN ('FBUYERINT')) 
 ALTER TABLE T_LC_LETTERCREDIT_E ADD (FBUYERINT NVARCHAR(50) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_BUYERINT') 
 CREATE TABLE T_LC_BUYERINT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBENEFITER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FARRIVALBANKID BIGINT DEFAULT 0 NOT NULL,
FARRIVALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINANCINGTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FACCEPTBANKTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACCEPTBANKID BIGINT DEFAULT 0 NOT NULL,
FREGISTERDATE DATETIME,
FPAYBILLID BIGINT DEFAULT 0 NOT NULL,
FLOCKAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_BUYERINT_ENTRY') 
 CREATE TABLE T_LC_BUYERINT_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FARRIVALID BIGINT DEFAULT 0 NOT NULL,
FARRIVALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEFFECTDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASIS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDELAYDAYS INT DEFAULT 0 NOT NULL,
FFINANCEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCOUNTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOBVERSIONAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\LC_table.sql **/
