﻿/**Begin D:\pdm_compare\PDM_UPGRADE\PDM1\LC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_RECEIPT_E' AND KSQL_COL_NAME IN ('FISINIT'))
 ALTER TABLE T_LC_RECEIPT_E ADD (FISINIT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_LETTERCREDIT_E' AND KSQL_COL_NAME IN ('FISINIT'))
 ALTER TABLE T_LC_LETTERCREDIT_E ADD (FISINIT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_LETTERCREDIT_E' AND KSQL_COL_NAME IN ('FNOTICEBANKID'))
 ALTER TABLE T_LC_LETTERCREDIT_E ADD (FNOTICEBANKID BIGINT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_CREDIT_INITENTRY')
 CREATE TABLE T_LC_CREDIT_INITENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FARRIVALNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FARRIVALDATE DATETIME,
FARRIVALWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDACCEPTDATE DATETIME,
FENDPAYDATE DATETIME,
FARRIVALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDONEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_CREDIT_GMENTRY')
 CREATE TABLE T_LC_CREDIT_GMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGCONTRACT BIGINT DEFAULT 0 NOT NULL,
FGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGCONTRACTCURRENCY BIGINT DEFAULT 0 NOT NULL,
FGEXCHRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_CREDIT_SURETYENTRY')
 CREATE TABLE T_LC_CREDIT_SURETYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSURETYBILL BIGINT DEFAULT 0 NOT NULL,
FSURETYINVESTORGTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSURETYFINORG BIGINT DEFAULT 0 NOT NULL,
FSURETYFINORGOTHER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSURETYCURRENCY BIGINT DEFAULT 0 NOT NULL,
FSURETYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSURETYSURPLUSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSURETYACCOUNT BIGINT DEFAULT 0 NOT NULL,
FSURETYINTDATE DATETIME,
FSURETYTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSURETYEXPIREDATE DATETIME,
FSURETYSOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT_INIT')
 CREATE TABLE T_LC_LETTERCREDIT_INIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FAPPLYDATE DATETIME,
FBIZCONTACTORID BIGINT DEFAULT 0 NOT NULL,
FBIZCONTACTINFO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUPPERSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOWSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNTSCALEUPPER DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNTSCALELOW DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISCANCEL CHAR(1) DEFAULT '0' NOT NULL,
FISMAKEOVER CHAR(1) DEFAULT '0' NOT NULL,
FISNATIONALCARD CHAR(1) DEFAULT '0' NOT NULL,
FISFORWARD CHAR(1) DEFAULT '0' NOT NULL,
FFORWARDDAYS BIGINT DEFAULT 0 NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FCREDITNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNLOADPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESTINATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRANSPORTWAY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCARGODESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBANKADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBENEFITADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPLYADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGUARANTEE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_RECEIPT_INIT')
 CREATE TABLE T_LC_RECEIPT_INIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FAPPLYDATE DATETIME,
FBIZCONTACTORID BIGINT DEFAULT 0 NOT NULL,
FBIZCONTACTINFO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUPPERSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOWSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNTSCALEUPPER DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNTSCALELOW DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISCANCEL CHAR(1) DEFAULT '0' NOT NULL,
FISMAKEOVER CHAR(1) DEFAULT '0' NOT NULL,
FISNATIONALCARD CHAR(1) DEFAULT '0' NOT NULL,
FISFORWARD CHAR(1) DEFAULT '0' NOT NULL,
FFORWARDDAYS BIGINT DEFAULT 0 NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FCREDITNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREDITSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNLOADPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESTINATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRANSPORTWAY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCARGODESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBANKADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBENEFITADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPLYADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRECEIPTDATE DATETIME,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT_INIT_E')
 CREATE TABLE T_LC_LETTERCREDIT_INIT_E (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAPPLYCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBENEFITCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBANKCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBENEFITERID BIGINT DEFAULT 0 NOT NULL,
FBENEFITERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBENEFITEROTHER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDDATE DATETIME,
FDEALBILLTERMSTART DATETIME,
FDEALBILLTERMEND DATETIME,
FLASTDATE DATETIME,
FCARGOCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FISBATCH CHAR(1) DEFAULT '0' NOT NULL,
FISTRANSFER CHAR(1) DEFAULT '0' NOT NULL,
FNEGOTIATINGBANK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNOTICEBANK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREIMBURSINGBANK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONFIRMINGBANK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISNEGOTIATING CHAR(1) DEFAULT '0' NOT NULL,
FNEGOTIATINGDATE DATETIME,
FNOTICEBANKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT_INIT_L')
 CREATE TABLE T_LC_LETTERCREDIT_INIT_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAPPLYADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBENEFITADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBANKADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCARGODESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRANSPORTWAY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESTINATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNLOADPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_RECEIPT_INIT_E')
 CREATE TABLE T_LC_RECEIPT_INIT_E (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAPPLYCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBENEFITCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBANKCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FDEALBILLTERMSTART DATETIME,
FDEALBILLTERMEND DATETIME,
FLASTDATE DATETIME,
FCARGOCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FISBATCH CHAR(1) DEFAULT '0' NOT NULL,
FISTRANSFER CHAR(1) DEFAULT '0' NOT NULL,
FNEGOTIATINGBANK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNOTICEBANK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREIMBURSINGBANK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONFIRMINGBANK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBENEFITERID BIGINT DEFAULT 0 NOT NULL,
FBENEFITERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBENEFITEROTHER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISNEGOTIATING CHAR(1) DEFAULT '0' NOT NULL,
FNEGOTIATINGDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_RECEIPT_INIT_L')
 CREATE TABLE T_LC_RECEIPT_INIT_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAPPLYADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBENEFITADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBANKADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCARGODESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRANSPORTWAY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESTINATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNLOADPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL
);

/**End D:\pdm_compare\PDM_UPGRADE\PDM1\LC_table.sql **/